Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
mcp_toolsets
/
{access_profile_id}
/
tool_bindings
/
delete
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.mcpAccessProfileToolBinding.deleteBindings({
    appId: "<id>",
    connectorId: "<id>",
    accessProfileId: "<id>",
  });

  console.log(result);
}

run();
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier.

connector_id
string
required

Connector identifier.

access_profile_id
string
required

Access profile identifier.

Body

application/json

MCPAccessProfileToolBindingServiceDeleteRequest deletes tool bindings.

mcpToolIds
string[] | null

MCP tool IDs to unbind from the access profile.

Response

200 - application/json

MCPAccessProfileToolBindingServiceDeleteResponse confirms deletion.

MCPAccessProfileToolBindingServiceDeleteResponse confirms deletion.